summaryrefslogtreecommitdiff
path: root/packages/lcd4linux/files/lcd4linux.init
diff options
context:
space:
mode:
authorMichael Lauer <mickey@vanille-media.de>2008-06-01 12:23:21 +0000
committerMichael Lauer <mickey@vanille-media.de>2008-06-01 12:23:21 +0000
commitd69fd172c6e48679d54aa3e6767fb0cd357fc416 (patch)
tree88e74daad4385eb303a38b2c422ca5bd2d8ee208 /packages/lcd4linux/files/lcd4linux.init
parentb3b724b8114f74dabea8d6f6f8c31339841cef32 (diff)
parenteffad2723e7a4e7f306e3090ec8e4791020f554c (diff)
merge of '1ba4060144f3549b5ec4424715ddde5fd9d0ad61'
and 'a66740dc82701e8bcaf09d803b69b8601b7efb2d'
Diffstat (limited to 'packages/lcd4linux/files/lcd4linux.init')
-rw-r--r--packages/lcd4linux/files/lcd4linux.init56
1 files changed, 56 insertions, 0 deletions
diff --git a/packages/lcd4linux/files/lcd4linux.init b/packages/lcd4linux/files/lcd4linux.init
new file mode 100644
index 0000000000..0972c9005e
--- /dev/null
+++ b/packages/lcd4linux/files/lcd4linux.init
@@ -0,0 +1,56 @@
+#! /bin/sh
+
+### BEGIN INIT INFO
+# Provides: lcd4linux
+# Required-Start:
+# Required-Stop:
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: daemon for driving LCD based displays
+# Description: LCD4Linux is a small program that grabs information from
+# the kernel and some subsystems and displays it on an
+# external liquid crystal display.
+### END INIT INFO
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/lcd4linux
+NAME=lcd4linux
+DESC=lcd4linux
+
+test -x $DAEMON || exit 0
+test -f /etc/lcd4linux.conf || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ chmod 600 /etc/lcd4linux.conf
+ start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON -- $DAEMON_OPTS
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON || true
+ echo "$NAME."
+ ;;
+ restart|force-reload)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON
+ sleep 1
+ start-stop-daemon --start --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0